Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface Harness.Observer

Enclosing class:
  Harness

    public static interface Harness.Observer

This interface provides a means for Harness to report on events that might be of interest as it executes.

Method Summary
`void` | `error(java.lang.String msg)` The given error occured.
`void` | `finishedTest(TestResult tr)` The harness has finished running the given test.
`void` | `finishedTesting()` The harness has finished running tests and is doing other activities (writing the report, updating caches, etc...).
`void` | `finishedTestRun(boolean allOK)` The test run has been completed, either because the user requested that the harness stop, the harness decided to terminate the test run, or all requested tests have been run.
`void` | `startingTest(TestResult tr)` The harness is about to run the given test.
`void` | `startingTestRun(Parameters params)` The harness is beginning to execute tests.
`void` | `stoppingTestRun()` The harness is about to stop a test run, before it has finished executing all the specified tests.

Method Detail

### startingTestRun

    void startingTestRun(Parameters params)

  The harness is beginning to execute tests.

  Parameters:
    `params` - the parameters for the test run

### startingTest

    void startingTest(TestResult tr)

  The harness is about to run the given test.

  Parameters:
    `tr` - The test result which is going to receive the data from the current execution of that test.

### finishedTest

    void finishedTest(TestResult tr)

  The harness has finished running the given test. This message is sent without repect to the resulting test's completion status (pass, fail, etc...).

  Parameters:
    `tr` - The result object containing the results from the execution which was just completed.

### stoppingTestRun

    void stoppingTestRun()

  The harness is about to stop a test run, before it has finished executing all the specified tests. The method is not notified if the test run completes normally, after executing all the specified tests.

### finishedTesting

    void finishedTesting()

  The harness has finished running tests and is doing other activities (writing the report, updating caches, etc...). This message will be broadcast both when error conditions terminate the run or when a test completes normally. It may provide a reasonable opportunity for a client to clean up any resources that were used during the test run, before a new run is started.

### finishedTestRun

    void finishedTestRun(boolean allOK)

  The test run has been completed, either because the user requested that the harness stop, the harness decided to terminate the test run, or all requested tests have been run. The harness is now ready to perform another test run. Note that since the actions of other observers are undefined, a new test run may have already been started by the time this method is called for any specific observer.

  Parameters:
    `allOK` - True if all tests passed, false otherwise.

### error

    void error(java.lang.String msg)

  The given error occured.

  Parameters:
    `msg` - A description of the error event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.